Bug 557866 - abrt applet runs even when abrtd is stopped!
Summary: abrt applet runs even when abrtd is stopped!
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-22 18:29 UTC by Need Real Name
Modified: 2015-02-01 22:50 UTC (History)
11 users (show)

Fixed In Version: 1.0.6-1.fc12
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-09 21:03:26 UTC
Type: ---


Attachments (Terms of Use)

Description Need Real Name 2010-01-22 18:29:37 UTC
abrt keeps on popping up even though I have shut down and disabled abrtd.

Comment 1 Terje Røsten 2010-01-26 21:31:04 UTC
It's animated too, that's pure evil. Please stop.

Comment 2 Need Real Name 2010-01-26 21:54:36 UTC
packagekit is also keen on making me do stuff (bug 559010).

Comment 3 TK009 2010-01-26 22:28:45 UTC
I do not agree with nagging the user if she/he disables abrt. The red animated police light is also a choice I do not agree with.

Since fixing the first problem would negate the second I have not created a second report.

Please remove this behaviour.

Making this as Triaged and FutureFeature.

tk009
---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 TK009 2010-01-26 22:29:50 UTC
collision, added keywords.

Comment 5 Jiri Moskovcak 2010-01-27 08:35:46 UTC
(In reply to comment #0)
> abrt keeps on popping up even though I have shut down and disabled abrtd.    

This has been removed some time ago.(In reply to comment #1)

> It's animated too, that's pure evil. Please stop.

It animates for 30secs, that's a compromise between those who like and who don't.

Jirka

Comment 6 Need Real Name 2010-01-27 17:28:11 UTC
Hang on a minute! I am using the latest version of abrtd, version 1.0.4.

You're not suggesting an upgrade to rawhide just to get rid of the abrt applet distracting me are you? :)

> It animates for 30secs, that's a compromise between those who
> like and who don't.

If a program crashes, it doesn't matter if I submit a bug report now, or in four weeks. Why the urgency of an animated flashing police light?

Comment 7 Denys Vlasenko 2010-01-29 13:37:21 UTC
> Why the urgency of an animated flashing police light?

The idea is that a SEGVing application merits moderately serious attention (depends on the crashing app of course). Flashing was further reduced to 3 secs.

> abrt keeps on popping up even though I have shut down and disabled abrtd.

Do you see abrtd process in ps -A list?

If yes, please attach to it via "strace -oLOG -tt -s99 `pidof abrtd`" and restart abrt service. Attach resulting LOG file. I'm curious how it manages to ignore SIGTERM...

Comment 8 Need Real Name 2010-01-29 14:29:25 UTC
(In reply to comment #7)
> > Why the urgency of an animated flashing police light?
> 
> The idea is that a SEGVing application merits moderately serious attention
> (depends on the crashing app of course). Flashing was further reduced to 3
> secs.

It needs attention, but not immediate attention.

> > abrt keeps on popping up even though I have shut down and disabled abrtd.
> 
> Do you see abrtd process in ps -A list?

Nope. abrtd is not running at all.

Comment 9 Denys Vlasenko 2010-02-01 13:21:35 UTC
> > > abrt keeps on popping up even though I have shut down and disabled abrtd.
> > 
> > Do you see abrtd process in ps -A list?
> 
> Nope. abrtd is not running at all.    

Strange. When this happens next time, please run:

strace -oLOG -s99 -tt -p `pidof abrt-applet`

wait for abrt-applet to mysteriously activate again, ^C the strace and attach the LOG to this bug.

Comment 10 Jiri Moskovcak 2010-02-01 13:25:28 UTC
I already fixed this in git. Abrt icon would show if the daemon is not running and abrt-applet is started.

Jirka

Comment 11 Fedora Update System 2010-02-03 15:17:52 UTC
abrt-1.0.6-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/abrt-1.0.6-1.fc12

Comment 12 Fedora Update System 2010-02-05 01:32:14 UTC
abrt-1.0.6-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update abrt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1470

Comment 13 Fedora Update System 2010-02-09 21:02:19 UTC
abrt-1.0.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.